local LSM = LibStub("LibSharedMedia-3.0")
	 NSMedia = {}

--Sounds
LSM:Register("sound","Macro", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\macro.mp3]])
LSM:Register("sound","01", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\1.ogg]])
LSM:Register("sound","02", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\2.ogg]])
LSM:Register("sound","03", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\3.ogg]])
LSM:Register("sound","04", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\4.ogg]])
LSM:Register("sound","05", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\5.ogg]])
LSM:Register("sound","06", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\6.ogg]])
LSM:Register("sound","07", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\7.ogg]])
LSM:Register("sound","08", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\8.ogg]])
LSM:Register("sound","09", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\9.ogg]])
LSM:Register("sound","10", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\10.ogg]])
LSM:Register("sound","Dispel", [[Interface\Addons\NorthernSkyMedia\Media\Sounds\Dispel.ogg]])
--Fonts
LSM:Register("font","Expressway", [[Interface\Addons\NorthernSkyMedia\Media\Fonts\Expressway.TTF]])
--StatusBars
LSM:Register("statusbar","Atrocity", [[Interface\Addons\NorthernSkyMedia\Media\StatusBars\Atrocity]])
-- Open WA Options
function NSMedia.OpenWA()
    WeakAuras.OpenOptions()
end

-- Memes for Break-Timer
NSMedia.BreakMemes = {
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ZarugarPeace.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ZarugarChad.blp]], 256, 147},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\Overtime.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\TherzBayern.blp]], 256, 24},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\senfisaur.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\schinky.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\TizaxHose.blp]], 202, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ponkyBanane.blp]], 256, 174},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ponkyDespair.blp]], 256, 166},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\docPog.blp]], 195, 211},
}

-- Memes for WA updating
NSMedia.UpdateMemes = {
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ZarugarPeace.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ZarugarChad.blp]], 256, 147},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\TherzBayern.blp]], 256, 24},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\senfisaur.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\schinky.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\TizaxHose.blp]], 202, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ponkyBanane.blp]], 256, 174},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\ponkyDespair.blp]], 256, 166},
    {[[Interface\AddOns\NorthernSkyMedia\Media\Memes\docPog.blp]], 195, 211},
}

NSMedia.EncounterPics = {
    {[[Interface\AddOns\NorthernSkyMedia\Media\EncounterPics\Spider.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\EncounterPics\Worm.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\EncounterPics\Parasite.blp]], 256, 256},
    {[[Interface\AddOns\NorthernSkyMedia\Media\EncounterPics\OvinaxBG.blp]], 256, 256},

}